Bug 100592 - Add fraction number formats for forced denominator
Summary: Add fraction number formats for forced denominator
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Laurent BP
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-24 15:17 UTC by Laurent BP
Modified: 2016-10-25 18:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-06-24 15:17:01 UTC
Description: In UI dialog for Number format, category Fraction, only 2 models were available. In LibO 5.2, two new formats were added, but some more should be added.

Steps to reproduce:
1. Format > Cells > Numbers, Category: Fraction

Actual behavior:
Two models were available:
# ?/?
# ??/??
In LibO 5.2, two new formats were added
# ?/4
# ?/100
See https://cgit.freedesktop.org/libreoffice/core/commit?id=5c24711c6517943d22a978112dc74fa4184dc5f7
Formats list is not explicit about these format, but this is for bug 100413 comment 1.

Expected behavior:
In other spreadsheet software, there are many other formats. This may let the user think that LibO cannot manage these formats
Proposed list:
# ?/?
# ?/??
# ?/???
# ?/2
# ?/4
# ?/8
# ?/16
# ?/10
# ?/100
Comment 1 Commit Notification 2016-06-29 14:39:28 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6951f28bbac44b29741089e88f842f124baf317f

tdf#100592 Add extra number formats for fraction

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.